Subject: bug#7824: Automatic chaining of make suffix rules

From: Юрий Пухальский <[email-masked]>
Date: Mon, 23 Jul 2012 17:31:40 +0400

>>> The *BSD makes don't
>>> suffer from it either.  As for AIX, IRIX and OSF1/Tru64, I don't have
>>> access to those systems, so I can't test how their make implementations
>>> behave.
>>
>> I have aix 5.3 and aix 6.1 here. So if you tell me how it's best to
>> check…
>>
> You can use this Makefile:
>
>   .SUFFIXES: .u .v .w
>   .u.v: ; cp $< $@
>   .v.w: ; cp $< $@
>
> then "touch foo.u" and call "make foo.w".  If the file 'foo.w' is created
> correctly, chaining of suffix rules is supported by the make implementation.

5.3:
bash-3.00$ touch foo.u
bash-3.00$ make foo.w
        cp foo.u foo.v
        cp foo.v foo.w
bash-3.00$ type make
make is hashed (/usr/bin/make)

(/usr/bin/make and /bin/make both link to /usr/ccs/bin/make)

6.1:
bash-3.00$ touch foo.u
bash-3.00$ /usr/ccs/bin/make foo.w
        cp foo.u foo.v
        cp foo.v foo.w

as we have got gmake installed in /usr/bin and /bin.

-- 
«Every person has a certain horizon. When it narrows and becomes
infinitely small, it changes into a point and then the person says:
“This is my point of view.”»